'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactCssModules = require('react-css-modules');

var _reactCssModules2 = _interopRequireDefault(_reactCssModules);

var _tcombReact = require('tcomb-react');

var _FlagIcon = require('./FlagIcon');

var _FlagIcon2 = _interopRequireDefault(_FlagIcon);

var _styles = require('../styles');

var _styles2 = _interopRequireDefault(_styles);

var _functions = require('../functions');

var _tcomb = require('../types/tcomb');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FlagIconFactory = function FlagIconFactory(React, options) {
  var computedOptions = (0, _functions.makeFlagIconOptions)(options);

  var FlagIconComponent = (0, _FlagIcon2.default)(React, computedOptions);
  var FlagIconComponentComputed = Object.assign(FlagIconComponent, {
    propTypes: (0, _tcombReact.propTypes)(_tcomb.FlagIconPropsTypeTcomb)
  });
  var computedStyles = (0, _functions.makeStyles)(_styles2.default, options);
  var fnCssModules = (0, _reactCssModules2.default)(computedStyles, { allowMultiple: true });

  return computedOptions.useCssModules ? fnCssModules(FlagIconComponentComputed) : FlagIconComponentComputed;
};

exports.default = FlagIconFactory;